planner
Device proxies

The planner proxy provides an interface to a 2D motion planner. More...

## Classes

struct | playerc_planner_t
| Planner device data. More...

## Functions

PLAYERC_EXPORT playerc_planner_t * | playerc_planner_create (playerc_client_t *client, int index)
| Create a planner device proxy. More...
PLAYERC_EXPORT void | playerc_planner_destroy (playerc_planner_t *device)
| Destroy a planner device proxy. More...
PLAYERC_EXPORT int | playerc_planner_subscribe (playerc_planner_t *device, int access)
| Subscribe to the planner device.
PLAYERC_EXPORT int | playerc_planner_unsubscribe (playerc_planner_t *device)
| Un-subscribe from the planner device.
PLAYERC_EXPORT int | playerc_planner_set_cmd_pose (playerc_planner_t *device, double gx, double gy, double ga)
| Set the goal pose (gx, gy, ga)
PLAYERC_EXPORT int | playerc_planner_get_waypoints (playerc_planner_t *device)
| Get the list of waypoints. More...
PLAYERC_EXPORT int | playerc_planner_enable (playerc_planner_t *device, int state)
| Enable / disable the robot's motion. More...

## Detailed Description

The planner proxy provides an interface to a 2D motion planner.

## Function Documentation

PLAYERC_EXPORT playerc_planner_t* playerc_planner_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a planner device proxy.

PLAYERC_EXPORT void playerc_planner_destroy | ( | playerc_planner_t * | device | ) |

Destroy a planner device proxy.

PLAYERC_EXPORT int playerc_planner_enable | ( | playerc_planner_t * | device,
|  | int | state
| ) |  |

Enable / disable the robot's motion.

Set state to 1 to enable, 0 to disable.

PLAYERC_EXPORT int playerc_planner_get_waypoints | ( | playerc_planner_t * | device | ) |

Get the list of waypoints.

Writes the result into the proxy rather than returning it to the caller.

Last updated 12 September 2005 21:38:45